@import url('https://fonts.googleapis.com/css?family=Yanone+Kaffeesatz');
@import url('https://fonts.googleapis.com/css?family=Open+Sans');
@import url('../font/styles.css');

*{
    box-sizing: border-box;
}
img{
    display: block;
    max-width: 100%;
}
body{
    margin: 0;
    font-family: 'Open Sans', sans-serif;
}
h1, h2,h3, h4, h5, h6 {
    font-family: 'Yanone Kaffeesatz', sans-serif;
    letter-spacing: 1px;
}
.section__titulo{
    text-align: center;
    font-size: 40px;
    color: #ffcc00;
}
.contenedor{
    margin: auto;
    width: 99%;
}

/*****-------------- Estilos del Header --------------*****/
.header {
    height: 60px;
}
.header .contenedor {
    display: flex;
    justify-content: space-between;
}
.header .contenedor img {
    display: none;
}
.logo, .icon-menu {
    margin: 8px;
    color: #fff;
    font-size: 22px;
}
.icon-menu {
    display: block;
    width: 40px;
    height: 40px;
    font-size: 30px;
    background: #ffcc00;
    text-align: center;
    line-height: 45px;
    border-radius: 5px;
    margin-left: auto;
    cursor: pointer;
}
/*****-------------- Estilos del Header --------------*****/
.nav {
    position: absolute;
    top: 60px;
   	left: -100%;
    width: 100%;
    transition: all 0.4s;
}
.menu {
    list-style: none;
    padding: 0;
    margin: 0;
    
}
.menu__link{
    display: block;
    padding: 15px;
    background: #ffcc00;
    text-decoration: none;
    color: #fff;
    
    
}
.menu__link:hover, .select{
    background: #fff;
    color: #ffcc00;
}
.mostrar{
    left: 0;
}


/*---------------------------- Estilos del banner ----------------------------*/

.banner{
    margin-top: -60px;
    position: relative;
    z-index: -1000;
    margin-bottom: 20px;
}
.banner .contenedor {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: 100%;
    color: #fff;
    text-align: center;
}

.banner__txt{
    display: none;
}

/*============================= Estilos de info =============================*/

.info__columna{
    background: #ffcc00;
    color: #fff;
    padding: 15px;
    margin-bottom: 20px;
    
}
/*============================= Estilos de servicios =========================*/
.servicios__columna{
    position: relative;
    margin-bottom: 30px;
}
.servicios__descripcion {
    position: absolute;
    top: 0;
    left: 0;
    color: #fff;
    background: rgba(0,0,0,0.5);
    width: 60%;
    height: 100%;
    padding: 5px;
}
.servicios__titulo{
    font-size: 25px;
    margin: 5px 0;
    
}
.servicios__img{
    width: 100%;
}
/*--------------------- Estilo de nosotros ---------------------*/
.nosotros{
    margin-top: -32px;
    background: rgba(3,3,3,0.05);
    
}
.empresa{
    margin: 5px 0;
    
}
.empresa__titulo{
    color: #000099;
    font-size: 30px;
    margin-left: 10px;
}
.empresa__descripcion{
    text-align: justify;
    padding: 10px;
   
}
/*---------------------- Estilos de contacto ----------------------*/
.contacto{
    background-image: url(../images/contactobg.jpg) ;
    background-size: 100%;    
    background-repeat: no-repeat;
   
    margin: auto;
}
.contacto form{
    width: 250px;
    margin: auto;
    background: rgba(0,0,0,0.4);
    padding: 10px 20px;
    box-sizing: border-box;
    border-radius: 7px;
}
.contacto h3{
    color: #fff;
    text-align: center;
    margin: 0;
    margin-bottom: 20px;
    font-size: 30px;
}
.contacto input, textarea{
    width: 100%;
    margin-bottom: 20px;
    padding: 7px;
    box-sizing: border-box;
    font-size: 17px;
    border: none;
}

.contacto textarea{
    min-height: 200px;
    max-height: 280px;
    max-width: 100%;
}
#boton{
   background: #31384a; 
    color: #fff;
    padding: 20px;
}
#boton:hover{
    cursor: pointer;
}
.equipo{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    height: 390px;
    background: rgba(3,3,3,0.2);
    overflow: auto;
    
}
.contenedorequipo{
    display: flex;
    height: 280px;
    width: 890px;
    margin: auto;
    -webkit-perspective: 700;
}
.carta{
    height: 100%;
    width: 100%;
    position: relative;
    transform-style: preserve-3d;
    transition: 2s;
    margin-left: 20px;
    
}
.carta:hover{
     transform: rotateY(180deg);
}
.lado{
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    position: absolute;
}
.frente {
    background: crimson;
}
.img__equipo{
    width: 100%;
    height: 100%;
}
.atras {
    background: #f0f0f0;
    transform: rotateY(180deg);
    padding: 10px;
    overflow: hidden;
}
.atras h3{
    font-size: 30px;
    text-align: center;
}
.atras h4{
        margin-top:-30px;
        text-align: center;
    }
.atras ul {
   margin-left: -30px;
   justify-content: center;
        
    }
.atras ul li{
        padding: 2px;
        list-style: none;
        
        
}
/*---------------------- Estilos de gracias ----------------------*/

.btn__continuar{
	width: 120px;
	height: 60px;
	margin: auto;
	padding: 5px;
	margin-top: -30px;
	background: red;
	color: #fff;
	border-radius: 10px;
	text-align: center;
	-webkit-background: red;
	transition: 1.8s;
}
.btn__continuar:hover{
	background: #262626;
}
.btn__continuar a{
	text-decoration: none;
	color: #fff;
	text-transform: uppercase;
}

/*======================= Estilos PRoductos ======================*/
.productos{
    position: block;
    overflow: hidden;
    padding: 10px;
     display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.item__producto{
    width: 280px;
    height: 300px;
    margin-top: 5px;
    background:  #cecece;
    overflow: hidden;
   
    
}
.img__producto{
    width: 100%;
    height: 300px;
    padding: 5px;
    top: 10px;
    background: #cecece;
    overflow: hidden;
    -webkit-transition: hight 0.4s;
    -moz-transition: hight .4s;
    -o-transition: height .4s;
}
.foto__producto{
    display: block;
    margin: 50px auto;
    width: 200px;
    height: 200px;
    overflow: hidden;
    -webkit-transition: margin-top 0.4s;
    
}
.info__producto{
    width: 100%;
    height: 0px;
    background: #233c88;
    -webkit-transition: height 0.4s;
}
.txt__producto{
    margin: 15px;
    font-size: 1.1em;
    color: #fff;
}
.item__producto:hover .img__producto{
    height: 210px;
}
.item__producto:hover .info__producto{
    height: 90px;
}
.item__producto:hover .foto__producto{
    margin-top: 10px;
}
/*======================= fin Estilos Productos ======================*/

/*======================= Estilos Autoservicios ======================*/

.contenedor-autoservicio img{
	display: block;
	width: 100%;
	height: 100%;
}
.small, .normal, .large{
	padding: 4px;
	
}
.img-auteservicio{
	margin: 0;
	padding: 4px;
}


/*======================= fin Estilos Autoservicios ======================*/
/*---------------------------------------*/
.mapa{
    width: 800px;
    margin: auto;
    border: 1px  solid #333;
}

/*---------------- ver mas   ------------------*/
.vermas{
	width: 100px;
	height: 40px;
	padding: 10px;
	margin-left: auto;
	margin-bottom: 0;
	border: 2px solid #fff;
	border-radius: 6px;
	text-align: center;
	transition: .5s;
	
}
.vermas a{
	text-decoration: none;
	color: #fff;
	 
}
.vermas:hover{
	background: #000099;
}
/*---------------- fin ver mas   ------------------*/

/*================== Estilos de footer =========================*/
.footer{
    background: #000099;
    color: #fff;
    padding: 10px;
    text-align: center;
}

.footer .social [class^="icon-"]{
    display: inline-block;
    color: #000099;
    text-decoration: none;
    font-size: 30px;
    padding: 10px;
    background: #fff;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    line-height: 40px;
}

#webmaster a {
    cursor: pointer;
    text-decoration: none;
}
#webmaster img {
    margin: auto;
    width: 50px;
}
#webmaster h4 {
    color: #fff;
    text-align: center;
    font-size: 12px;
     
    
}

/*-------------------- Estilos galeria productos ------------*/
#productos{
	justify-content: center;
	align-items: center;
}
.center{
    position: relative;
    margin-top: 15px;
    margin-left: 10px;
	
    
}
.imgBox{
    position: relative;
    width: 100%;
    height: 220px;
    background-size: cover;
    border: 2px solid #333;
    overflow: hidden;
	
}
.imgBox img{
    width: 100%;
    transition: .5s;
}
.container{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: transparent;
    transition: .5s;
}
.container:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
    transform: translateX(-100%) scale(1) skew(-45deg);
    transition: .5s;
}
.content{
    position: absolute;
    top: 80px;
    transform: translateY(-50%);
    padding: 30px 50px;
    text-align: center;
}
.content h2{
    padding: 0;
    color: blue;
    margin-top: 90px;
    margin-bottom: 20px;
    font-size: 2em;
    transform: translateY(-100%) scale(0);
     transition: .5s;
}
.content p{
    padding: 0;
    color: #fff;
    font-size: 1em;
    background: rgba(0,0,0,0.4);
    transform:  scale(2);
    transition: .5s;
    opacity: 0;
}
.imgBox:hover .content h2{
    transform: translateY(0) scale(1);
}
.imgBox:hover .content p{
    transform: scale(1);
    opacity: 1;
}
.imgBox:hover img{
    transform: scale(2) translateX(-50px);
}
.imgBox:hovr .container:before{
    opacity: 1;
    background: rgba(40,53,147,0.4);
    transform: translateX(0) scale(1) skew(-45deg);
}
/*-------------------- Estilos modal --------------------*/
.modal {
    position: fixed;
    width: 100%;
    height: 100vh;
    top: 0px;
    left: 0;
    background: rgba(0,0,0,0.7);
    display: flex;
    justify-content: center;
    align-items: center;
}
.modal__img{
    width: 40%;
    max-width: 700px;
}
.modal__boton{
    width: 50px;
    height: 50px;
    color: #fff;
    font-weight: bold;
    font-size: 25px;
    font-family: monospace;
    line-height: 50px;
    text-align: center;
    background: red;
    border-radius: 50%;
    position: absolute;
    right: 10px;
    top: 10px;
    cursor: pointer;
    
}
/*-------------------- Estilos boton arriba --------------------*/
.ir-arriba{
	display: none;
	padding: 15px;
	background: #ffcc00;
	font-size: 30px;
	color: #fff;
	cursor: pointer;
	position: fixed;
	bottom: 20px;
	right: 20px;
	box-shadow: 2px 1px 6px #333; 
}

/*-------------------- Estilos Resposive --------------------*/

@media(min-width:480px){
    .logo {
        font-size: 40px;
        margin-top: 20px;
    }
    .header .contenedor img {
    display:flex;
    width: 100px;  
    height: 80px; 
    background: rgba(0,0,0,0.2);    
}
    .banner__titulo{
        font-size: 30px;
        margin: 5px 0;
    }
    .banner__txt{
        display: block;
        font-size: 18px;
        margin: 7px;
        background: rgba(0,0,0,0.2);
    }
    .info, .servicios{
        display: flex;
        justify-content: space-between;
        margin-top: -90px;
    }
    .info__columna{
        width: 32%;
    }
    .info__titulo{
        font-size: 30px;
        margin: 5px 0;
    }
     .section__titulo{
        width: 100%;
    }
    .servicios{
        flex-wrap: wrap;
        margin-top: 0;
    }
    .servicios__columna{
       width: 49%; 
    }
    .empresa__titulo{
       font-size: 40px;
}
    .footer .social [class^="icon-"]{
        margin: 0 10px;
    }
     .contacto form{
        width: 500px;
    }
     .imgBox{
   
    width: 280px;
    
} 
    .content h2{
   
    margin-top: 60px;
    
    font-size: 2.5em;
    ;
}
   .imgBox{
    
    width: 330px;
    height: 320px;
    
	
	}
	.vermas{
		display: flex;
		flex-wrap: wrap;
		align-items: flex-end;
		
	}
	.contenedor-autoservicio{
		width: 460px;
		margin: auto;
	}
	.fila{
		display: flex;
		top: 0;
		
	}
	.columna-1-3{
		width: 33.33%;
	}
	.columna-2-3{
		width: 66.67%;
	}
	.small{
		height: 100px;
	}
	.normal, .large{
		height: 200px;
	}
	.columna-50{
		width: 50%;
	}
}
@media(min-width:768px){
    .banner__titulo{
        font-size: 40px;;
    }
    .servicios__titulo{
        font-size: 40px;;
    }
    .logo {
        font-size: 60px;
        margin-top: 30px;
        
    }
    .header .contenedor img {
    display:flex;
    width: 160px;  
    height: 120px; 
    background: rgba(0,0,0,0.1);    
    }
    .empresa__titulo{
    color: #000099;
    font-size: 50px;
}
.empresa__descripcion{
    font-size: 25px;
    margin-top: -40px;
}
    .nosotros{
    margin-top: -20px;
    background: rgba(3,3,3,0.05);
    
}
   .imgBox{
   
    width: 300px;
    height: 290px;   
    
} 
	.imgBox{
    position: relative;
    width: 230px;
    height: 260px;
    background-size: cover;
    border: 2px solid #333;
    overflow: hidden;
	}
	.contenedor-autoservicio{
		width: 750px;
		
	}
	.small{
		height: 150px;
	}
	.normal, .large{
		height: 300px;
	}

}

@media(min-width:1024px){
    .contenedor{
      width: 1000px;
    }
    .section__titulo{
        font-size: 50px;
        margin: 20px 0;
    }
    .nav{
       position:static;
        width: auto;
    }
    .menu{
        display: flex;
        margin-top: 20px;
        margin-right: 40px;
    }
    .icon-menu{
        display: none;
    }
    .menu__link{
        background: rgba(0,0,0,0.2);
        border-radius: 5px;
        font-size: 20px;
    }
    .select{
        color: #fff;
        background: #ffcc00;
    }
    
    .banner__titulo{
        font-size: 60px;;
    }
    .banner__txt{
        font-size: 20px;
    }
    .info{
        margin-top: -130px;
    }
    .info__columna{
        padding: 30px;
    }
    .info__titulo{
        font-size: 40px;
        text-align: center;
    }
    .servicios__descripcion{
        padding: 20px;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        align-content: center;
    }
    .servicios__titulo{
        font-size: 50px;;
    }
    .servicios__txt{
        font-size: 20px;
    }
	.contenedor-autoservicio{
		width: 1000px;
		
	}
	.small{
		height: 200px;
	}
	.normal, .large{
		height: 400px;
	}
    
}
@media(min-width:1280px){
    .contenedor{
        width: 1200px;
    }
    .banner, .contenedor {
        top: 40%;
    }
    .info {
        margin-top: -200px;
    }
    .header .contenedor img{
        margin-left: 100px;
        width: 200px;  
        height: 130px; 
        
    }
	.imgBox{
   
    width: 240px;
   
}
}

